ContactPurpose (CMDB Model API)
Keywords: com.collation.platform.model.topology.admin.ContactPurpose interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.admin
Interface ContactPurpose

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ContactPurpose

extends LogicalElement

Provides the link between a instance of admin.ContactInfo and a given resource. Specifically, the details in this class specify the "why" one should use particular contact information about a resource that requires discussion. For example, if a particular resource requires a administrator, the user would look to see which contacts on the resource have a ContactPurpose of "Admin".

Naming Rules:
  0="parent,purposeType" 1="parent,generalPurposeType"
Persistable:
  true
Table Name:
  CNTCTPRPS
Top Level:
  true
Display Name:
  purposeType,parent

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getContactPurposePriority()`
`java.lang.String` | `getGeneralPurposeType()` Description:Represents a customer-specific purpose type to contact a particular person or user with responsibility for the resource instance.
`OrganizationalEntity` | `getParent()`
`int` | `getPurposeType()` Description:Represents the purpose type to contact a particular person or user with responsibility for the resource instance.
`boolean` | `hasContactPurposePriority()`
`boolean` | `hasGeneralPurposeType()`
`boolean` | `hasParent()`
`boolean` | `hasPurposeType()`
`void` | `setContactPurposePriority(int x)`
`void` | `setGeneralPurposeType(java.lang.String x)`
`void` | `setParent(OrganizationalEntity x)`
`void` | `setPurposeType(int x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParent

    OrganizationalEntity getParent()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="true"

### setParent

    void setParent(OrganizationalEntity x)

### hasParent

    boolean hasParent()

### getContactPurposePriority

    int getContactPurposePriority()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setContactPurposePriority

    void setContactPurposePriority(int x)

### hasContactPurposePriority

    boolean hasContactPurposePriority()

### getPurposeType

    int getPurposeType()
                       throws AttributeNotSetException

  Description:Represents the purpose type to contact a particular person or user with responsibility for the resource instance. Typical values may include Data Backup, Admin, Access Control. Standard Content Origin / Best Practice Content:Provide the contact type for resource instance. The content of this attribute should match to a actual purpose recognized by the organization using this attribute.. Follow the best practices for the organization implementing this attribute Example: 3 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setPurposeType

    void setPurposeType(int x)

### hasPurposeType

    boolean hasPurposeType()

### getGeneralPurposeType

    java.lang.String getGeneralPurposeType()
                                           throws AttributeNotSetException

  Description:Represents a customer-specific purpose type to contact a particular person or user with responsibility for the resource instance. Typical values may include Development, Test. Standard Content Origin / Best Practice Content: Provide the name of the region for the resource instance. The content of this attribute should match to a agreed-upon contact purpose type as defined by the department that controls this data. Follow the best practices for the organization implementing this attribute. Example: Development Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setGeneralPurposeType

    void setGeneralPurposeType(java.lang.String x)

### hasGeneralPurposeType

    boolean hasGeneralPurposeType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD